Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class BaseLoadManager

java.lang.Object
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

Direct Known Subclasses:
  `AddressLoadManager`, `HouseLoadManager`

    public class BaseLoadManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.String` | `ADDRESS_CITY` |
  `protected static java.lang.String` | `ADDRESS_HOUSE` |
  `protected static java.lang.String` | `ADDRESS_STREET` |
  `protected java.sql.Connection` | `con` |
  `protected static java.lang.String` | `FIAS_CITY_MAP` |
  `protected static java.lang.String` | `FIAS_HOUSE_MAP` |
  `protected static java.lang.String` | `FIAS_HOUSE_TEMP` |
  `protected static java.lang.String` | `FIAS_STREET_MAP` |
  `protected static java.lang.String` | `FIAS_STREET_TEMP` |
  `protected org.apache.logging.log4j.Logger` | `logger` |
  `protected boolean` | `PROFILE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BaseLoadManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `clearFiasTable()` |
  `protected void` | `exceptionLog​(java.lang.Exception ex)` |
  `protected java.sql.ResultSet` | `executeQuery​(java.sql.PreparedStatement ps)` |
  `protected java.sql.ResultSet` | `executeQuery​(java.sql.Statement st, java.lang.String query)` |
  `protected <T extends AddressObj> T` | `loadAddressObjFromRs​(T obj, java.sql.ResultSet rs)` |
  `protected City` | `loadCityFromRs​(java.sql.ResultSet rs)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIAS_CITY_MAP

    protected static java.lang.String FIAS_CITY_MAP

  - ### FIAS_STREET_MAP

    protected static java.lang.String FIAS_STREET_MAP

  - ### ADDRESS_STREET

    protected static java.lang.String ADDRESS_STREET

  - ### FIAS_STREET_TEMP

    protected static java.lang.String FIAS_STREET_TEMP

  - ### ADDRESS_CITY

    protected static java.lang.String ADDRESS_CITY

  - ### FIAS_HOUSE_TEMP

    protected static java.lang.String FIAS_HOUSE_TEMP

  - ### FIAS_HOUSE_MAP

    protected static java.lang.String FIAS_HOUSE_MAP

  - ### ADDRESS_HOUSE

    protected static java.lang.String ADDRESS_HOUSE

  - ### PROFILE

    protected boolean PROFILE

  - ### logger

    protected final org.apache.logging.log4j.Logger logger

  - ### con

    protected final java.sql.Connection con

- ## Constructor Details

  - ### BaseLoadManager

    public BaseLoadManager​(java.sql.Connection con)

- ## Method Details

  - ### exceptionLog

    protected void exceptionLog​(java.lang.Exception ex) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### executeQuery

    protected java.sql.ResultSet executeQuery​(java.sql.PreparedStatement ps) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### executeQuery

    protected java.sql.ResultSet executeQuery​(java.sql.Statement st, java.lang.String query) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### loadAddressObjFromRs

    protected <T extends AddressObj> T loadAddressObjFromRs​(T obj, java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### loadCityFromRs

    protected City loadCityFromRs​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### clearFiasTable

    public void clearFiasTable()